package org.project.item;

import org.project.entity.Entity;
import org.project.item.Item;

public class Key implements Item {

    private String name;

    public Key(String name) {
        this.name = name;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void use(Entity target) {

        System.out.println("This key is used automatically to unlock the castle.");
    }
}
